﻿Imports System
Imports System.Net.NetworkInformation
Public Class Form1

    Private Sub verificaRedeLocal()

        If NetworkInterface.GetIsNetworkAvailable Then
            ' Obtem e define todos os objetos NetworkInterface para a maquina local
            Dim interfaces As NetworkInterface() = NetworkInterface.GetAllNetworkInterfaces()
            ' Percorre as interfaces e exibe informação
            For Each ni As NetworkInterface In interfaces
                ' relatorio endereço fisico.
                txtEnderecoFisico.Text = " Endereco Físico   : " & ni.GetPhysicalAddress().ToString()
                ' relatorio de informação básica da interface
                lstInterfaceLocal.Items.Add(" Nome da Interface: " & ni.Name)
                lstInterfaceLocal.Items.Add(" Descrição      : " & ni.Description)
                lstInterfaceLocal.Items.Add(" ID             : " & ni.Id)
                lstInterfaceLocal.Items.Add(" Tipo           : " & ni.NetworkInterfaceType)
                lstInterfaceLocal.Items.Add(" Velocidade     : " & ni.Speed)
                lstInterfaceLocal.Items.Add(" Status         : " & ni.OperationalStatus)
                ' Relatorio para estatistica de rede para a i nterface
                lstInterfaceLocal.Items.Add(" Bytes enviados : " & ni.GetIPv4Statistics().BytesSent)
                lstInterfaceLocal.Items.Add(" Bytes Recebidos: " & ni.GetIPv4Statistics.BytesReceived)
                ' Informa a configuração do IP
                lstInterfaceLocal.Items.Add(" Endereços IP:")
                For Each addr As UnicastIPAddressInformation In ni.GetIPProperties.UnicastAddresses
                    lstConfiguracaoIP.Items.Add("contrato/validade " & addr.Address.ToString & (DateTime.Now.AddSeconds(addr.DhcpLeaseLifetime)).ToString)
                Next
            Next
        Else
            MsgBox("Nã há rede local disponível")
        End If

    End Sub
    Private Sub btnExibir_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExibir.Click
        verificaRedeLocal()
    End Sub
End Class
